<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [TIX](./bitburner.tix.md) &gt; [sellShort](./bitburner.tix.sellshort.md)

## TIX.sellShort() method

Sell short stock.

**Signature:**

```typescript
sellShort(sym: string, shares: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sym | string | Stock symbol. |
|  shares | number | Number of shares to sell. Must be positive. Will be rounded to the nearest integer. |

**Returns:**

number

The stock price at which each share was sold, otherwise 0 if the shares weren't sold.

## Remarks

RAM cost: 2.5 GB Attempts to sell a short position of a stock using a Market Order.

The ability to short a stock is \*\*not\*\* immediately available to the player and must be unlocked later on in the game.

If the specified number of shares exceeds the amount that the player actually owns, then this function will sell all owned shares. Remember that every transaction on the stock exchange costs a certain commission fee.

If the sale is successful, this function will return the stock price at which each share was sold. Otherwise, it will return 0.

